//
//
//  SoundManager.h
//  AsReader
//
//  Created by koda on 2015年/2015/07/21.
//
//

#import "SoundManager.h"


@implementation SoundManager

static SoundManager *sharedData_ = nil;

+ (SoundManager *)sharedManager{
    if (!sharedData_) {
        sharedData_ = [[SoundManager alloc]init];
    }
    return sharedData_;
}

- (instancetype)init{
    self = [super init];
    if (self) {
        self.originalSound = @[
                               @{@"read.caf":@"Beep"},
                               @{@"asreader.wav":@"Children"},
                               @{@"decision17.mp3":@"Ping1"},
                               @{@"decision15.mp3":@"Ping2"},
                               @{@"decision5.mp3":@"Ping3"},
                               @{@"boyon1.mp3":@"Boyon"},
                               @{@"kotsudumi1.mp3":@"Japanes Drum1"},
                               @{@"drum-japanese2.mp3":@"Japanes Drum2"},
                               @{@"trumpet1.mp3":@"Trumpet"}];
    }
    return self;
}

@end
